local ____lualib = require("lualib_bundle")
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local ____exports = {}
local ____ISCFeature = require("enums.ISCFeature")
local ISCFeature = ____ISCFeature.ISCFeature
local ____CustomCallback = require("classes.private.CustomCallback")
local CustomCallback = ____CustomCallback.CustomCallback
____exports.PostCustomRevive = __TS__Class()
local PostCustomRevive = ____exports.PostCustomRevive
PostCustomRevive.name = "PostCustomRevive"
__TS__ClassExtends(PostCustomRevive, CustomCallback)
function PostCustomRevive.prototype.____constructor(self)
    CustomCallback.prototype.____constructor(self)
    self.shouldFire = function(____, fireArgs, optionalArgs)
        local _player, revivalType = table.unpack(fireArgs)
        local callbackRevivalType = table.unpack(optionalArgs)
        return callbackRevivalType == nil or revivalType == callbackRevivalType
    end
    self.featuresUsed = {ISCFeature.CUSTOM_REVIVE}
end
return ____exports
